/* Custom styles */

/* Product Archive Page */
body
    .trx_addons_woocommerce_search
    .sc_form_field.sc_form_field_image
    .sc_form_field_items
    .sc_form_field_item
    .sc_form_field_item_image {
    background-size: 100%;
    background-position: center;
}

/* Single product page */
button.reset-variations-button {
    margin-bottom: 30px;
    padding: 12px;

    .hidden {
        display: none;
    }
}
.woocommerce.single-product div.product form.cart .variations {
    width: 100%;
}

.archive
    .trx_addons_woocommerce_search
    .sc_form_field.sc_form_field_select
    .sc_form_field_wrap
    .sc_form_field_item.sc_form_field_item_level_1 {
    font-weight: 600 !important;
    padding-left: 3px;
}

.archive
    .trx_addons_woocommerce_search
    .sc_form_field.sc_form_field_select
    .sc_form_field_wrap
    .sc_form_field_item {
    &.sc_form_field_item_checked,
    &:hover {
        background-color: var(--theme-color-text_link);
        color: #fff;
    }

    &.sc_form_field_item_level_2 {
        height: 0;
        padding: 0px;
    }

    &.expand {
        animation: expand 0.5s forwards;
        -webkit-animation: expand 0.5s forwards;
        height: auto;
    }

    &.collapsed {
        animation: collapse 0.5s forwards;
        -webkit-animation: collapse 0.5s forwards;
        height: auto;
    }
}
.archive
    .trx_addons_woocommerce_search
    .sc_form_field.sc_form_field_select
    .sc_form_field_wrap
    .sc_form_field_item[data-value='be-kategorijos'] {
    display: none;
}

/* =========
** KEYFRAMES
========= */
@keyframes expand {
    from {
        max-height: 0;
        padding: 0 15px;
    }
    to {
        max-height: 50px;
        padding: 3px 15px;
    }
}

@keyframes collapse {
    from {
        max-height: 50px;
        padding: 3px 15px;
    }
    to {
        max-height: 0;
        padding: 0 15px;
    }
}

/* ==========
** RESPONSIVE
========== */
@media only screen and (max-width: 960px) {
    .archive
        .trx_addons_woocommerce_search
        .sc_form_field.sc_form_field_select
        .sc_form_field_wrap
        .sc_form_field_item {
        &.sc_form_field_item_checked,
        &:hover {
            background-color: var(--theme-color-text_link);
            color: #fff;
        }

        &.sc_form_field_item_level_2 {
            height: auto;
            padding: 3px 15px;
        }
    }
}
